Open CASCADE Technology  6.9.0
Static Public Member Functions
DsgPrs_SymmetricPresentation Class Reference

A framework to define display of symmetry between shapes. More...

#include <DsgPrs_SymmetricPresentation.hxx>

Static Public Member Functions

static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &aDirection1, const gp_Lin &aAxis, const gp_Pnt &OffsetPoint)
 Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2, the direction aDirection1 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two segments. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Circ &aCircle1, const gp_Lin &aAxis, const gp_Pnt &OffsetPoint)
 Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2, the direction aDirection1 the circle aCircle1 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two arcs. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Lin &aAxis, const gp_Pnt &OffsetPoint)
 Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two vertices. More...
 

Detailed Description

A framework to define display of symmetry between shapes.

Member Function Documentation

static void DsgPrs_SymmetricPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Dir aDirection1,
const gp_Lin aAxis,
const gp_Pnt OffsetPoint 
)
static

Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2, the direction aDirection1 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two segments.

static void DsgPrs_SymmetricPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Circ aCircle1,
const gp_Lin aAxis,
const gp_Pnt OffsetPoint 
)
static

Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2, the direction aDirection1 the circle aCircle1 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two arcs.

static void DsgPrs_SymmetricPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const gp_Pnt AttachmentPoint1,
const gp_Pnt AttachmentPoint2,
const gp_Lin aAxis,
const gp_Pnt OffsetPoint 
)
static

Adds the points OffsetPoint, AttachmentPoint1, AttachmentPoint2 and the axis anAxis to the presentation object aPresentation. The display attributes of the symmetry are defined by the attribute manager aDrawer. This syntax is used for display of symmetries between two vertices.


The documentation for this class was generated from the following file: